Bug 8652 - what to display when images are not available is not well specified
what to display when images are not available is not well specified
Status: VERIFIED WORKSFORME
Product: HTML WG
Classification: Unclassified
Component: pre-LC1 HTML5 spec (editor: Ian Hickson)
unspecified
PC All
: P2 normal
: ---
Assigned To: Ian 'Hixie' Hickson
HTML WG Bugzilla archive list
: a11y, a11ytf, a11y_display
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-05 19:29 UTC by steve faulkner
Modified: 2010-10-04 14:57 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description steve faulkner 2010-01-05 19:29:18 UTC
I don't think the spec does not clearly specifies what a browser should display when an image is unavailable or images are disabled in a browser. Currently browsers do not uniformly display the content of the alt attribute, some display the content of the title attribute if the alt is not present. Furthermore alt content may be omitted or truncated in some browsers.
see http://www.paciellogroup.com/blog/?p=498 for more details.

suggest adding the following:

1. browsers should display as text the complete content of the alt attribute if an image is not available or images are disabled.

2. browsers should not display as text the content of the title attribute if an image is not available or images are disabled

OR

2a. browsers should display as text the complete content of the alt attribute and the title attribute if present, if an image is not available or images are disabled. 
Browsers should provide a method for users to distinguish between title text and alt text if an image is not available or images are disabled.
Comment 1 Ian 'Hixie' Hickson 2010-02-05 20:41:47 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Did Not Understand Request
Change Description: no spec change
Rationale: I don't understand. There's pages of information on this, first from the semantic perspective (starting from "What an img element represents depends on the src attribute and the alt attribute." and ending with "The contents of img elements, if any, are ignored for the purposes of rendering." about two dozen paragraphs later), and then in the rendering section under "Images" and "Attributes for embedded content and images". Could you elaborate on exactly how all this text is deficient?
Comment 2 steve faulkner 2010-02-10 10:38:07 UTC
i provided very concrete suggestions could you respond to these:

>suggest adding the following:

>1. browsers should display as text the complete content of the alt attribute if
>an image is not available or images are disabled.

>2. browsers should not display as text the content of the title attribute if an
>image is not available or images are disabled

>OR

>2a. browsers should display as text the complete content of the alt attribute
>and the title attribute if present, if an image is not available or images are
>disabled. 
>Browsers should provide a method for users to distinguish between title text
>and alt text if an image is not available or images are disabled.


is the advice is suggested provided? if not why should it not be provided?

reasoning and research provided http://www.paciellogroup.com/blog/?p=498 


Comment 3 Michael Cooper 2010-02-11 17:18:14 UTC
The HTML Accessibility Task Force intends to track these issues, per the proposal at http://lists.w3.org/Archives/Public/public-html-a11y/2010Jan/0245.html.
Comment 4 Ian 'Hixie' Hickson 2010-02-23 06:38:25 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: no spec change
Rationale: As far as I can tell the spec already covers everything suggested in comment 2 in far more detail than proposed.

Specifically for #1, the text "the element represents the text given by the alt attribute" (from paragraph 3 of the option "If the src attribute is set and the alt attribute is set to a value that isn't empty" under "What an img element represents depends on the src attribute and the alt attribute" in the section "The img element") combined with the text "user agents are expected to render an element so that it conveys to the user the meaning that the element represents" (in the "Introduction" section of the "Rendering" section) seems to convey the exact same requirement, though in more appropriate terms.

Similarly, for #2, the title="" attribute is covered by text such as "The title attribute represents advisory information for the element" and "User agents must not present the contents of the alt attribute in the same way as content of the title attribute", and it has its own section in the "Rendering" section.
Comment 5 Michael Cooper 2010-08-24 19:48:55 UTC
http://www.w3.org/2002/09/wbs/44061/20080513_bugs/results#xq2

We consider this addressed by the text alternatives [http://www.w3.org/html/wg/wiki/ChangeProposals/ImgElement20090126] and title attribute [http://www.w3.org/html/wg/wiki/ChangeProposals/ImgElement20091203] change proposals.